#include<iostream>
#include<cmath>
using namespace std;

float p, q, r;
long long L, R;
float i; long long rez;
int main(){
	ios_base::sync_with_stdio(false);
	cin.tie(nullptr);
	cout.tie(nullptr);
	cerr.tie(nullptr);
	
	cin >> p >> q >> r >> L >> R;
	
	for (i = L; i <= R; i++) if ((ceil(i/p) + ceil(i/q) + ceil(i/r)) <= i) rez++;
	cout << rez;
	return 0;
}